Update an order

What this endpoint does

Use this endpoint to update a previously submitted order. Order will be matched by the source_reference field.

Supported updates may include order and shipment status changes, shipment product changes (for example refunds, product changes or new shipments added), or corrections to customer addresses.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
number
required

Reference ID from the source system. This is the unique identifier to reference the order on subsequent calls and cannot be updated.

string
required

Timestamp in ISO format when the order was last updated in the source system.

ship_to
object

Address to which the order is shipped.

billing_address
object

Billing address for the order.

number

Total order-level discount in major currency units (e.g., 10.00 means $10 off). Discount is split proportionally across products for duties/taxes.

shipments
array of objects

A shipment groups the items sent from a specific origin warehouse to the order's destination address.
While a shipment originates from one location, it can be fulfilled in multiple batches (fulfillments), each potentially having a different tracking number, ship date, and carrier.
To add a new shipment, provide a new shipment object with a new shipment_id

shipments
custom_properties
object | null

Optional custom metadata or structured properties. Object max. size is 4 KB.

Headers
string
required

OpenBorder merchant API token

Responses
204

Order successfully updated. No content returned.

400

Invalid order payload received.

401

Invalid authorization token received.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json